package request


type AlibabaWdkSkuWarehouseskuScrollQueryRequest struct {
    /*
        仓库编码     */
    WarehouseCode  *string `json:"warehouse_code" required:"true" `
    /*
        游标     */
    ScrollId  *string `json:"scroll_id,omitempty" required:"false" `
}

func (s *AlibabaWdkSkuWarehouseskuScrollQueryRequest) SetWarehouseCode(v string) *AlibabaWdkSkuWarehouseskuScrollQueryRequest {
    s.WarehouseCode = &v
    return s
}
func (s *AlibabaWdkSkuWarehouseskuScrollQueryRequest) SetScrollId(v string) *AlibabaWdkSkuWarehouseskuScrollQueryRequest {
    s.ScrollId = &v
    return s
}

func (req *AlibabaWdkSkuWarehouseskuScrollQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.WarehouseCode != nil) {
        paramMap["warehouse_code"] = *req.WarehouseCode
    }
    if(req.ScrollId != nil) {
        paramMap["scroll_id"] = *req.ScrollId
    }
    return paramMap
}

func (req *AlibabaWdkSkuWarehouseskuScrollQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}